summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2020-05-22 15:13:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-23 09:31:59 +0700
commit24868a2f1bcdb3f7abbc0fbf9d44453d73a96fa0 (patch)
tree01cc590a6e933d2f1bb8b678546aa52d1d2e468b /office
parent28f1f0ab945a27fa257445dd9584c1d1fccd8a8c (diff)
downloadslackbuilds-24868a2f1bcdb3f7abbc0fbf9d44453d73a96fa0.tar.gz
slackbuilds-24868a2f1bcdb3f7abbc0fbf9d44453d73a96fa0.tar.xz
office/focuswriter-legacy: Added (distraction-free word processor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/focuswriter-legacy/README8
-rw-r--r--office/focuswriter-legacy/doinst.sh10
-rw-r--r--office/focuswriter-legacy/focuswriter-legacy.SlackBuild95
-rw-r--r--office/focuswriter-legacy/focuswriter-legacy.info10
-rw-r--r--office/focuswriter-legacy/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/office/focuswriter-legacy/README b/office/focuswriter-legacy/README
new file mode 100644
index 0000000000..080dda1e89
--- /dev/null
+++ b/office/focuswriter-legacy/README
@@ -0,0 +1,8 @@
+FocusWriter is a fullscreen, distraction-free word processor designed
+to immerse you as much as possible in your work.
+The program autosaves your progress, and reloads the last files you
+had open to make it easy to jump back in during your next writing
+session, and has many other features that make it such that only one
+thing matters: your writing.
+
+Newer versions of FocusWriter depend on qt5.
diff --git a/office/focuswriter-legacy/doinst.sh b/office/focuswriter-legacy/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/office/focuswriter-legacy/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/focuswriter-legacy/focuswriter-legacy.SlackBuild b/office/focuswriter-legacy/focuswriter-legacy.SlackBuild
new file mode 100644
index 0000000000..e3044ba089
--- /dev/null
+++ b/office/focuswriter-legacy/focuswriter-legacy.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for focuswriter-legacy
+
+# Copyright 2014 Scalzi Giuseppe Switzerland
+# Updated 2016 Morten Juhl-Johansen Zölde-Fejér
+# Copyright 2020 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=focuswriter-legacy
+VERSION=${VERSION:-1.5.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=focuswriter
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.bz2
+cd $SRCNAM-$VERSION
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake PREFIX=/usr
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/focuswriter-legacy/focuswriter-legacy.info b/office/focuswriter-legacy/focuswriter-legacy.info
new file mode 100644
index 0000000000..0e81abdae1
--- /dev/null
+++ b/office/focuswriter-legacy/focuswriter-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="focuswriter-legacy"
+VERSION="1.5.7"
+HOMEPAGE="https://gottcode.org/focuswriter/"
+DOWNLOAD="https://gottcode.org/focuswriter/focuswriter-1.5.7-src.tar.bz2"
+MD5SUM="088dd0b696b60b3cc6c59793ec5eea6d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/office/focuswriter-legacy/slack-desc b/office/focuswriter-legacy/slack-desc
new file mode 100644
index 0000000000..7268bb3acf
--- /dev/null
+++ b/office/focuswriter-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+focuswriter-legacy: focuswriter-legacy (distraction-free word processor)
+focuswriter-legacy:
+focuswriter-legacy: FocusWriter is a fullscreen, distraction-free word processor designed
+focuswriter-legacy: to immerse you as much as possible in your work.
+focuswriter-legacy: The program autosaves your progress, and reloads the last files you
+focuswriter-legacy: had open to make it easy to jump back in during your next writing
+focuswriter-legacy: session, and has many other features that make it such that only one
+focuswriter-legacy: thing matters: your writing.
+focuswriter-legacy:
+focuswriter-legacy: http://gottcode.org/focuswriter/
+focuswriter-legacy: